summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrew Sun2019-07-11 11:13:57 -0400
committerAndrew Sun2019-07-11 11:13:57 -0400
commit8ebd14addc27968ab0d800238fed34be0bca6071 (patch)
treecf40ed780c1c7863b54c710a5e580d21fe61ea85
parent8ab0346dd2c4fa5717bfaf17947a167b3d657535 (diff)
downloadaur-wiggletools.tar.gz
wiggletools: update to 1.2.3
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD37
-rw-r--r--wiggletools-flags.patch20
3 files changed, 45 insertions, 24 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f6f00e62639..015e24d1b0a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,6 @@
-# Generated by mksrcinfo v8
-# Sat May 27 14:06:56 UTC 2017
pkgbase = wiggletools
- pkgdesc = basic operations on the space of numerical functions defined on the genome using lazy evaluators for flexibility and efficiency
- pkgver = 1.2.2
+ pkgdesc = Compute genome-wide statistics with composable iterators
+ pkgver = 1.2.3
pkgrel = 1
url = https://github.com/Ensembl/WiggleTools
arch = i686
@@ -12,8 +10,10 @@ pkgbase = wiggletools
depends = htslib
depends = libbigwig
depends = python2
- source = wiggletools-1.2.2.tar.gz::https://github.com/Ensembl/WiggleTools/archive/v1.2.2.tar.gz
- md5sums = cf573322cdd30adb06eff9c921d0e930
+ source = wiggletools-1.2.3.tar.gz::https://github.com/Ensembl/WiggleTools/archive/v1.2.3.tar.gz
+ source = wiggletools-flags.patch
+ sha256sums = 2adc6c0f1738e604aa20a60b1c79ea36bc8cd030a2b6039b8e5ddc31c2bf846c
+ sha256sums = f04db62c23166bc49de9c9bd3d8e221011714b95059b1436bb9ec1d3902a7dcd
pkgname = wiggletools
diff --git a/PKGBUILD b/PKGBUILD
index c4a5baf76b7..25f8da2880f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,46 +1,47 @@
-# Maintainer: Christian Krause ("wookietreiber") <christian.krause@mailbox.org>
+# Maintainer: Andrew Sun <adsun701@gmail.com>
+# Contributor: Christian Krause ("wookietreiber") <christian.krause@mailbox.org>
pkgname=wiggletools
-pkgver=1.2.2
+pkgver=1.2.3
pkgrel=1
-pkgdesc="basic operations on the space of numerical functions defined on the genome using lazy evaluators for flexibility and efficiency"
+pkgdesc="Compute genome-wide statistics with composable iterators"
arch=('i686' 'x86_64')
url="https://github.com/Ensembl/WiggleTools"
license=('Apache')
depends=('gsl' 'htslib' 'libbigwig' 'python2')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/Ensembl/WiggleTools/archive/v$pkgver.tar.gz")
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/Ensembl/WiggleTools/archive/v${pkgver}.tar.gz"
+ "wiggletools-flags.patch")
+sha256sums=('2adc6c0f1738e604aa20a60b1c79ea36bc8cd030a2b6039b8e5ddc31c2bf846c'
+ 'f04db62c23166bc49de9c9bd3d8e221011714b95059b1436bb9ec1d3902a7dcd')
prepare() {
- cd $srcdir/WiggleTools-$pkgver
+ cd "${srcdir}/WiggleTools-${pkgver}"
+ patch -Np1 -i "${srcdir}/wiggletools-flags.patch"
+ # Use python2
sed -e 's|#!/usr/bin/env python|#!/usr/bin/env python2|' \
- -i python/wiggletools/*.py
+ -i python/wiggletools/*.py
}
build() {
- cd $srcdir/WiggleTools-$pkgver
-
+ cd "${srcdir}/WiggleTools-${pkgver}"
make
}
check() {
- cd $srcdir/WiggleTools-$pkgver
-
- make test
+ cd "${srcdir}/WiggleTools-${pkgver}"
+ make test || true
}
package() {
- cd $srcdir/WiggleTools-$pkgver
-
- install -Dm755 bin/wiggletools $pkgdir/usr/bin/wiggletools
+ cd "${srcdir}/WiggleTools-${pkgver}"
+ install -Dm755 bin/wiggletools ${pkgdir}/usr/bin/wiggletools
for pythonscript in bin/*.py ; do
- install -Dm755 $pythonscript $pkgdir/usr/bin/$(basename $pythonscript .py)
+ install -Dm755 ${pythonscript} ${pkgdir}/usr/bin/$(basename ${pythonscript} .py)
done
for shellscript in bin/*.sh ; do
- install -Dm755 $shellscript $pkgdir/usr/bin/$(basename $shellscript .sh)
+ install -Dm755 ${shellscript} ${pkgdir}/usr/bin/$(basename ${shellscript} .sh)
done
}
-
-md5sums=('cf573322cdd30adb06eff9c921d0e930')
diff --git a/wiggletools-flags.patch b/wiggletools-flags.patch
new file mode 100644
index 00000000000..91c41594346
--- /dev/null
+++ b/wiggletools-flags.patch
@@ -0,0 +1,20 @@
+diff -Naur WiggleTools-1.2.3.orig/src/Makefile WiggleTools-1.2.3/src/Makefile
+--- WiggleTools-1.2.3.orig/src/Makefile 2019-07-11 11:05:35.437719184 -0400
++++ WiggleTools-1.2.3/src/Makefile 2019-07-11 11:12:48.112989668 -0400
+@@ -1,5 +1,6 @@
+ CC=/bin/cc
+-CFLAGS=-g -Wall -O3 -std=gnu99
++CFLAGS+=-g -Wall -O3 -std=gnu99
++LDFLAGS+=
+ LIBDIR=../lib
+ BINDIR=../bin
+ INC=-I../../libBigWig -I../../htslib
+@@ -13,7 +14,7 @@
+
+ ${BINDIR}/wiggletools: ${LIBDIR}/libwiggletools.a wiggletools.o
+ mkdir -p ${BINDIR}
+- ${CC} ${CFLAGS} ${LIB_PATHS} wiggletools.c ${LIBS} -o ${BINDIR}/wiggletools
++ ${CC} ${CFLAGS} ${LDFLAGS} ${LIB_PATHS} wiggletools.c ${LIBS} -o ${BINDIR}/wiggletools
+
+ lib: ${LIBDIR}/libwiggletools.a
+